module MnoEnterprise
  class Nimbus::V4::AppsController < Nimbus::V4::BaseController

    private
    ATTRIBUTES = [:nid, :name, :description, :created_at, :updated_at, :logo, :version, :website, :slug, :categories,
                 :key_benefits, :key_features, :testimonials, :tiny_description]

    def resource_klass
      MnoEnterprise::App
    end

    # Retrieve all user
    def get_resources
      MnoEnterprise::App.all
    end

    # Hash representation of the resource
    def hash_for(resource)
      resource.attributes.slice(*ATTRIBUTES)
    end
  end
end
