module MnoEnterprise
  class Nimbus::V4::StatisticsController < Nimbus::V4::BaseController

    private

      def resource_klass
        Object
      end

      # Retrieve all resources
      def get_resources
        [get_resource(1)]
      end

      # Retrieve a resource via uid
      def get_resource(id)
        {
          id: 'current-billing',
          title: "Current Billing",
          type: "value",
          value: 299.90
        }
      end

      # Provision a new resource for this Organization
      def build_resource(attributes)
        false
      end

      # Terminate
      def destroy_resource(resource)
        return false
      end

      # Hash representation of the resource
      def hash_for(resource)
        resource
      end
  end
end
